<?php

/**
 * Implements template_preprocess_views_view_fields().
 *
 * This is preprocesses the Views Row Style output.
 */
function dbd2_preprocess_views_view_fields(&$variables) {
  if (isset($variables['view']->name)) {
    $function = __FUNCTION__ . '__' . $variables['view']->name;
    if (function_exists($function)) {
     $function($variables);
    }
  }
}

/**
 * Implements template_preprocess_views_view_fields() for the Homepage feature view.
 */
function dbd2_preprocess_views_view_fields__homepage_feature(&$variables) {
  switch ($variables['view']->current_display) {
    case 'block':
      if (!empty($variables['row']->field_field_feature_image))  {
        $image_style = $variables['row']->field_field_feature_image[0]['rendered']["#image_style"];
        $image_uri = $variables['row']->field_field_feature_image[0]['raw']['uri'];
        $image_uri_with_style = image_style_url($image_style, $image_uri);
        $variables['image_uri_with_style'] = $image_uri_with_style;
      }
      break;
  }
}
